台灣最大程式設計社群網站
線上人數
1780
 
會員總數:241166
討論主題:186825
歡迎您免費加入會員
討論區列表 >> C/C++ >> 使用c++建立windowform 出現error
[ 變換順序 ]  
[我要回覆]
1
回應主題 加入我的關注話題 檢舉此篇討論 將提問者加入個人黑名單
使用c++建立windowform 出現error
價值 : 50 QP  點閱數:64 回應數:1

樓主

劉彥鋒
門外漢
0 14
172 9
發送站內信

我用visual studio c++寫一個簡單的視窗程式
有參考別人給我的dll檔
在使用時,編譯沒問題,但當在開始跑程式的時候
卻出現以下錯誤:
混合模式組件是針對版本 'v2.0.50727' 的執行階段建置的,無法在沒有其他組態資訊的情況下載入 4.0 執行階段中。

查網路大部分都只給c#解決方式,我即使按照c#作法 也沒有用
目前查到原因是 同時使用framework 不同版本
但即使我更改版本,他還是好出一樣錯誤
求解




搜尋相關Tags的文章: [ v2.0.50727 ] , [ 混合模式組件 ] ,
本篇文章發表於2017-11-12 23:40
別忘捐VP感謝幫助你的人 新手會員瞧一瞧
1樓
回應

小魚
檢舉此回應
看起來是版本有問題,
你有試過Nuget嗎?
不過我沒用C++寫過winform,
不知道C++能不能用Nuget...
本篇文章回覆於2017-11-13 12:02
== 簽名檔 ==
--未登入的會員無法查看對方簽名檔--
[ 變換順序 ]   
1

回覆
如要回應,請先登入.